%global momorel 3

%define preversion 5

Summary: Convenience library for kernel netlink sockets
Group: Development/Libraries
License: LGPL
Name: libnl
Version: 1.0
Release: 0.%{preversion}.%{momorel}m%{?dist}
URL: http://people.suug.ch/~tgr/libnl/
Source: http://people.suug.ch/~tgr/libnl/files/libnl-%{version}-pre%{preversion}.tar.gz
Source1: %{name}-1.pc
Source2: %{name}-1.pc.x86_64
Patch:   %{name}-makefile.patch
Patch1:  %{name}-typedef.patch
Patch2:  %{name}-1.0-pre5-static.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: doxygen


%description
This package contains a convenience library to simplify
using the Linux kernel's netlink sockets interface for
network manipulation

%package devel
Summary: Libraries and headers for using libnl
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains various headers for using libnl


%prep
%setup -q -n libnl-%{version}-pre%{preversion}
%patch
%ifnarch ia64 ppc64 s390x
%patch1 -p1
%endif
%patch2 -p1

%build
%configure
%make

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}

%{__mkdir_p} %{buildroot}%{_libdir}/pkgconfig/
%if "%_lib" == "lib64"
%{__install} -m 644 %{SOURCE2} %{buildroot}%{_libdir}/pkgconfig/libnl-1.pc
%else
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_libdir}/pkgconfig/
%endif

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/%{name}.so.*
%doc COPYING

%files devel
%defattr(-,root,root,0755)
%{_includedir}/netlink/
%doc doc/*
%{_libdir}/%{name}.a
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}-1.pc

%changelog
* Fri Jun 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-0.5.3m)
- add libnl.a. need anaconda-11.1

* Thu May 11 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-0.5.2m)
- import lib64 patch from opensuse

* Wed May 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-0.5.1m)
- import from fc

* Tue Feb 12 2006 Christopher Aillon <caillon@redhat.com> 1.0-0.8.pre5
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0-0.7.pre5.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 16 2006 Christopher Aillon <caillon@redhat.com> 1.0-0.7.pre5
- Add patch to not chown files to root.root during make install; it
  happens normally.

* Mon Jan  9 2006 Christopher Aillon <caillon@redhat.com> 1.0-0.6.pre5
- Correctly install the pkgconfig file

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov  2 2005 Christopher Aillon <caillon@redhat.com> 1.0-0.5.pre5
- Fix 64bit LIBDIR issue; use $LIBDIR instead of $PREFIX/lib

* Wed Nov  2 2005 Christopher Aillon <caillon@redhat.com> 1.0-0.4.pre5
- Update to 1.0-pre5

* Tue Nov  1 2005 Christopher Aillon <caillon@redhat.com> 1.0-0.3.pre4
- Update to 1.0-pre4

* Tue Nov  1 2005 Christopher Aillon <caillon@redhat.com> 1.0-0.2.pre3
- Minor specfile cleanup

* Thu Oct 27 2005 Dan Williams <dcbw@redhat.com> 1.0-0.1.pre3
- Split into main and devel packages

* Thu Oct 27 2005 Dan Williams <dcbw@redhat.com> 1.0-0.0.pre3
- initial build
